## GogRegCurve GogRegCurve |

## Functions

double | gog_reg_curve_get_R2 ()
void | gog_reg_curve_get_bounds ()
gchar const * | gog_reg_curve_get_equation ()

## Properties

gchar * | drawing-bounds | Read / Write
gboolean | skip-invalid | Read / Write

## Types and Values

| GogRegCurve
| GogRegCurveClass
enum | GogRegCurveDrawingBounds

## Object Hierarchy

        GObject
        ╰── GogObject
            ╰── GogStyledObject
                ╰── GogTrendLine
                    ╰── GogRegCurve

## Implemented Interfaces

GogRegCurve implements GOStyledObject and GogDataset.

## Description

## Functions

### gog_reg_curve_get_R2 ()

    double
    gog_reg_curve_get_R2 (GogRegCurve *reg_curve);

### gog_reg_curve_get_bounds ()

    void
    gog_reg_curve_get_bounds (GogRegCurve *reg_curve,
                              double *xmin,
                              double *xmax);

### gog_reg_curve_get_equation ()

    gchar const *
    gog_reg_curve_get_equation (GogRegCurve *reg_curve);

## Types and Values

### GogRegCurve

    typedef struct _GogRegCurve GogRegCurve;

### GogRegCurveClass

    typedef struct {
    	GogTrendLineClass base;

    	double 		(*get_value_at) (GogRegCurve *reg_curve, double x);
    	char const * 	(*get_equation) (GogRegCurve *reg_curve);
    	void 		(*populate_editor) (GogRegCurve *reg_curve, gpointer table);
    } GogRegCurveClass;

#### Members

GogTrendLineClass `base`; |  |
`get_value_at` () | returns the calculated value. |
`get_equation` () | gets the regresion equation as a string. |
`populate_editor` () | populates the editor. |

### enum GogRegCurveDrawingBounds

#### Members

GOG_REG_CURVE_DRAWING_BOUNDS_NONE | no limits. |
GOG_REG_CURVE_DRAWING_BOUNDS_ABSOLUTE | absolute limits. |
GOG_REG_CURVE_DRAWING_BOUNDS_RELATIVE | limits relative to the data range. |

## Property Details

### The `“drawing-bounds”` property

      “drawing-bounds”           gchar *

How the regression line should be limited, acceptable values are "none", "absolute", and "relative".

Flags: Read / Write

Default value: "none"

### The `“skip-invalid”` property

      “skip-invalid”             gboolean

Skip invalid data.

Flags: Read / Write

Default value: FALSE